# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "brk_client"
version = "0.3.0-alpha.3"
build = false
exclude = ["examples/"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust client for the Bitcoin Research Kit API"
homepage = "https://bitcoinresearchkit.org"
readme = "README.md"
keywords = [
    "bitcoin",
    "blockchain",
    "analytics",
    "on-chain",
]
categories = [
    "api-bindings",
    "cryptography::cryptocurrencies",
]
license = "MIT"
repository = "https://github.com/bitcoinresearchkit/brk"

[lib]
name = "brk_client"
path = "src/lib.rs"

[dependencies.brk_cohort]
version = "0.3.0-alpha.3"

[dependencies.brk_types]
version = "0.3.0-alpha.3"

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_json]
version = "1.0.149"
features = [
    "float_roundtrip",
    "preserve_order",
]

[dependencies.ureq]
version = "3.3.0"
features = ["json"]
